- action = current_action?(:edit) || current_action?(:update) ? 'edit' : 'create'

.file-holder-bottom-radius.file-holder.file.append-bottom-default
  .js-file-title.file-title.clearfix{ data: { current_action: action } }
    .editor-ref.block-truncated
      = sprite_icon('fork', size: 12)
      = ref
    - if current_action?(:edit) || current_action?(:update)
      = text_field_tag 'file_path', (params[:file_path] || @path),
                                    class: 'form-control new-file-path js-file-path-name-input'

    - if current_action?(:new) || current_action?(:create)
      %span.editor-file-name
        \/
      = text_field_tag 'file_name', params[:file_name], placeholder: "File name",
        required: true, class: 'form-control new-file-name js-file-path-name-input'

    .file-buttons
      = button_tag class: 'soft-wrap-toggle btn', type: 'button', tabindex: '-1' do
        %span.no-wrap
          = custom_icon('icon_no_wrap')
          No wrap
        %span.soft-wrap
          = custom_icon('icon_soft_wrap')
          Soft wrap
      .encoding-selector
        = select_tag :encoding, options_for_select([ "base64", "text" ], "text"), class: 'select2', tabindex: '-1'

  .file-editor.code
    %pre.js-edit-mode-pane#editor= params[:content] || local_assigns[:blob_data]
    - if local_assigns[:path]
      .js-edit-mode-pane#preview.hide
        .center
          %h2
            %i.icon-spinner.icon-spin
